### Signal

# Gtk DragSource::prepare

#### Declaration

    GdkContentProvider*
    prepare (
      GtkDragSource* self,
      gdouble x,
      gdouble y,
      gpointer user_data
    )

#### Description [src]

Emitted when a drag is about to be initiated.

It returns the `GdkContentProvider` to use for the drag that is about to start. The default handler for this signal returns the value of the `GtkDragSource:content` property, so if you set up that property ahead of time, you don’t need to connect to this signal.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`x`

  Type: `gdouble`

  The X coordinate of the drag starting point.

`y`

  Type: `gdouble`

  The Y coordinate of the drag starting point.

#### Return value

Type: `GdkContentProvider`

A `GdkContentProvider`

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.